﻿@{
    ViewBag.Title = "View Call on Doctors";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<script src="~/Content/ThemeMedical/js/jquery-2.2.3.min.js"></script>

<!--modal to show edit function-->
<div class="modal fade in" id="modal-default" style="padding-right: 17px;">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
                <h4 class="modal-title">Edit Call On Doctors </h4>
            </div>
            <div class="modal-body">



                <form class="form-horizontal">
                    <div class="box-body">

                        <div class="form-group" style="display:none;">
                            <label for="inputDoctName" class="col-sm-2 control-label">Id</label>

                            <div class="col-sm-10">
                                <input type="text" class="form-control" id="docId" placeholder="Enter ...">
                            </div>
                        </div>


                        <!-- select Charges -->
                        <div class="form-group">
                            <label for="InputCharges" class="col-sm-2 control-label">Charges</label>
                            <div class="col-sm-5">
                                <select class="form-control" id="InputCharges">
                                    <option>500</option>
                                    <option>1000</option>
                                    <option>1500</option>
                                    <option>2000</option>
                                    <option>2500</option>
                                    <option>3000</option>
                                    <option>3500</option>
                                    <option>4000</option>
                                    <option>4500</option>
                                    <option>5000</option>
                                </select>
                            </div>
                        </div>

                        <!-- select Doctor No. -->
                        <div class="form-group">
                            <label for="InputDoctorNo" class="col-sm-2 control-label">Doctor No.</label>
                            <div class="col-sm-5">
                                <select class="form-control" id="InputDoctorNo"></select>
                            </div>
                        </div>



                    </div>

                </form>



            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default pull-left" data-dismiss="modal">Close</button>
                <button type="button" class="btn btn-primary" onclick="ChangeValues();">Save changes</button>
            </div>
        </div>
        <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->
</div>



<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            Jinnah Hospital
            <small>All Call on Doctor's Information</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="/AdminHome/Index"><i class="fa fa-dashboard"></i> Home</a></li>
            <li class="active">Dashboard</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">

        <div class="box box-info">
            <div class="box-header with-border">
                <i class="fa fa-pagelines"></i>
                <h3 class="box-title">List of All Call on Doctors</h3>

                <div class="box-tools">
                    <div class="input-group input-group-sm" style="width: 150px;">
                        <input type="text" name="table_search" class="form-control pull-right" placeholder="Search">

                        <div class="input-group-btn">
                            <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>
                        </div>
                    </div>
                </div>
            </div>
            <!-- /.box-header -->
            <div class="box-body table-responsive no-padding">
                <table class="table table-hover">

                    <tr>
                        <th>Doctor Name</th>
                        <th>Charges</th>
                        <th>Edit</th>
                        <th>Delete</th>
                    </tr>
                    <tbody id="tbl"></tbody>
                </table>
            </div>
            <!-- /.box-body -->
        </div>
    </section>
</div>
<script>
    $(document).ready(function () {
        $.ajax({
            url: '@Url.Action("GetCallOnDoctorData", "AHMS")',
            type: "POST",
            dataType: "json",
            traditional: "true",
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;
                    var list = data.message;
                    for (i = 0; i < list.length; i++) {
                        $('#tbl').append(' <tr id=' + list[i].callid + '><td>' + list[i].docname + '</td><td>' + list[i].charges + '</td><td><button type="button" class="btn bg-light-blue" onclick=getUpdate(' + list[i].callid + ')> <i class="fa fa-edit"></i>  </button></td><td><button type="button" class="btn bg-red" onclick=getDelete(' + list[i].callid + ')><i class="fa fa-trash-o"></i></button> </td> </tr> ');
                    }

                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });

    });
</script>
<script>
    function getUpdate(id) {
        alert(id);
      
            // do stuff for each td in here...
            debugger;
            $('#docId').val(id);
            $("#modal-default").modal("show");
      
    }

</script>
<script>
    function getDelete(id) {
        debugger;
        $.ajax({
            url: '@Url.Action("DeleteCallOnDocData", "AHMS")',
            type: "POST",
            dataType: "json",
            data: JSON.stringify({ id: id}),
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;
                    $('#'+id).remove();
                    swal(data.message, "", "success");
                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });

    }
</script>

<!--get the doc names and id in the modal -->
<script>
    $(document).ready(function () {
        $.ajax({
            url: '@Url.Action("GetAllDocNameAndId", "AHMS")',
            type: "POST",
            dataType: "json",
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;
                    var list = data.message;
                    for (i = 0; i < list.length; i++) {
                        $('#InputDoctorNo').append('<option id=' + list[i].docno + ' >' + list[i].docname + '</option>');
                    }

                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });

    });
</script>

<!--call the ajax function Edit -->

<script>
    function ChangeValues(){
        $("#modal-default").modal("hide");
        debugger;
        var Charges = $('#InputCharges :selected').val();
        var DocId = $('#InputDoctorNo :selected').attr("id")

      var ID = $('#docId').val();

        $.ajax({
            url: '@Url.Action("EditCallOnDoc", "AHMS")',
            type: "POST",
            dataType: "json",
            data: JSON.stringify({ ID: ID, Charges: Charges, DocId: DocId }),
            traditional: "true",
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;
                    swal(data.message, "", "success");
                    location.reload();
                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });
    }

</script>

